Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3374 - initscripts fails without linuxconf and >10 IP aliases
Summary: initscripts fails without linuxconf and >10 IP aliases
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-09 21:40 UTC by longyear
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-14 17:36:17 UTC


Attachments (Terms of Use)

Description longyear 1999-06-09 21:40:51 UTC
If you do *NOT* have linuxconf enabled (or have removed
the package) then initscripts' ifup-aliases script failes
to load the aliases correctly if you have more than 10
aliases. The probem is that the aliases need to be loaded
in numerical order (0, 1, ..., 9, 10, 11, 12, etc.) and not
in the order that it tries to use (0, 1, 10, 11, ..., 19, 2, 20, 21, ...). This is because you use a simple directory expansion
and not in a simple loop of trying 0, then 1, then 2, then 3, etc. until it finds the first missing
alias file.

If you want to discuss this or want a patch for this then send me email. <longyear@longyear.com>.

Comment 1 Jeff Johnson 1999-06-10 17:11:59 UTC
Can you reply to this message with your patch? That will expedite
discussion about whether to include or not. Thanks

------- Email Received From  Al Longyear <longyear@longyear.com> 06/10/99 16:49 -------

Comment 2 Bill Nottingham 1999-06-14 17:36:59 UTC
will be fixed in next initscripts release (4.21 or so.)
Thanks for the patch!


Note You need to log in before you can comment on or make changes to this bug.